# Generated from dotbot-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dotbot

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: A cute lil' light-weight-ish dotfile manager
License: MIT
URL: https://github.com/rpalo/dotbot
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
# Dotbot: A Cute Lil' Dotfiles Manager
I made a simple little dotfiles manager because I got tired of creating
symlinks all the time.
## Installation
You can install `dotbot` via the `gem` command:
$ gem install dotbot
Once you have it installed, either create a `~/.dotbot` file (YAML) with the
following contents.
```
dir: ~/.dotfiles  # or whatever your preferred location is
```
Optionally, instead of a .dotbot file, you can use environment variables, each
of the pattern DOTBOT_<var>.  For instance, you could execute some commands by
saying
$ DOTBOT_DIR=~/shnargleflorp dotbot update
More commands and options to come later.
## Usage
### Track a New File
$ dotbot track <filename> [--git]
This command adds the file to your dotfiles repo and creates a symlink in the
file's old location so it will stay updated.  Use the `--git` flag to also
add/commit/push to your remote dotfiles repo.
### Update Your Dotfiles
$ dotbot update
This command is pretty much just a `git pull` in your dotfiles repo.
## Development
After checking out the repo, run `bin/setup` to install dependencies. You can
also run `bin/console` for an interactive prompt that will allow you to
experiment.
To install this gem onto your local machine, run `bundle exec rake install`.
To release a new version, update the version number in `version.rb`, and then
run `bundle exec rake release`, which will create a git tag for the version,
push git commits and tags, and push the `.gem` file to
[rubygems.org](https://rubygems.org).
## Contributing
Bug reports and pull requests are welcome on GitHub at
https://github.com/[USERNAME]/dotbot-mini. This project is intended to be a
safe, welcoming space for collaboration, and contributors are expected to
adhere to the [Contributor Covenant](http://contributor-covenant.org) code of
conduct.
## License
The gem is available as open source under the terms of the [MIT
License](https://opensource.org/licenses/MIT).
## Code of Conduct
Everyone interacting in the Dotbot::Mini project’s codebases, issue trackers,
chat rooms and mailing lists is expected to follow the [code of
conduct](https://github.com/rpalo/dotbot/blob/master/CODE_OF_CONDUCT.md).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/dotbot
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/dotbot.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.1-1
- Initial package
